Delete a custom data record
Permanently deletes a single record from the definition id_definition. The record is identified by the id query parameter (the record's auto-incremented primary key, returned by listCustomDataRecords). Processing is asynchronous.
Parameters
Header Parameters
[Authentication] Required API key, in the form {prefix}.{secret}.
"a1b2c3d4.xK9pR2mVn6QwErTyUiOpAsDfGhJkLzXcVbNmQwErTyU""^[a-zA-Z0-9]{8}\\.[A-Za-z0-9_-]+$"Path Parameters
ID of the custom data definition to target.
Query Parameters
The auto-incremented ID of the record to delete. Example: /custom-data-records/42?id=123
Responses
Objects have been sent to the processing queue. Partially invalid objects are rejected and returned in rejected_items.
Delete a custom data record Permanently deletes a single record from the definition id_definition. The record is identified by the id query parameter (the record's auto-incremented primary key, returned by listCustomDataRecords). Processing is asynchronous. DELETE /v1/custom-data-records/{id_definition} deleteCustomDataRecord Custom data records spm-api-key [Authentication] Required API key, in the form {prefix}.{secret}. id The auto-incremented ID of the record to delete. Example: /custom-data-records/42?id=123 id_definition ID of the custom data definition to target. Objects have been sent to the processing queue. Partially invalid objects are rejected and returned in rejected_items. All objects are invalid, or the request body is not an array, or the array exceeds the maximum allowed size Server error - Internal processing failure